{
  "name": "typo3/cms-base-distribution",
  "description": "TYPO3 CMS Base Distribution",
  "license": "GPL-2.0+",
  "config": {
		"allow-plugins": {
			"typo3/class-alias-loader": true,
			"typo3/cms-composer-installers": true,
			"helhum/dotenv-connector": true,
			"cweagans/composer-patches": true
		},
		"platform": {
			"php": "8.3"
		},
    "vendor-dir": "vendor",
    "bin-dir": "bin",
		"sort-packages": true
	},
  "repositories": [
      {
          "type": "path",
          "url": "packages/*"
      }
  ],
  "require": {
    "cloonar-typo3/base": "@dev",
    "friendsoftypo3/content-blocks": "^1.1",
    "georgringer/news": "^12.2",
    "georgringer/numbered-pagination": "^2.1",
    "helhum/dotenv-connector": "^3.1",
    "helhum/typo3-console": "^8.2",
    "typo3/cms-adminpanel": "^13.4",
    "typo3/cms-backend": "^13.4",
    "typo3/cms-belog": "^13.4",
    "typo3/cms-beuser": "^13.4",
    "typo3/cms-core": "^13.4",
    "typo3/cms-dashboard": "^13.4",
    "typo3/cms-extbase": "^13.4",
    "typo3/cms-extensionmanager": "^13.4",
    "typo3/cms-felogin": "^13.4",
    "typo3/cms-filelist": "^13.4",
    "typo3/cms-filemetadata": "^13.4",
    "typo3/cms-fluid": "^13.4",
    "typo3/cms-fluid-styled-content": "^13.4",
    "typo3/cms-form": "^13.4",
    "typo3/cms-frontend": "^13.4",
    "typo3/cms-indexed-search": "^13.4",
    "typo3/cms-info": "^13.4",
    "typo3/cms-install": "^13.4",
    "typo3/cms-lowlevel": "^13.4",
    "typo3/cms-opendocs": "^13.4",
    "typo3/cms-recordlist": "^13.4",
    "typo3/cms-recycler": "^13.4",
    "typo3/cms-redirects": "^13.4",
    "typo3/cms-reports": "^13.4",
    "typo3/cms-rte-ckeditor": "^13.4",
    "typo3/cms-scheduler": "^13.4",
    "typo3/cms-seo": "^13.4",
    "typo3/cms-setup": "^13.4",
    "typo3/cms-sys-note": "^13.4",
    "typo3/cms-tstemplate": "^13.4",
    "typo3/cms-viewpage": "^13.4",
    "typo3/minimal": "^13.4",
    "wapplersystems/ws-scss": "^13.0"
  },
  "require-dev": {
    "deployer/deployer": "^7.4",
    "friendsoftypo3/phpstan-typo3": "^0.9",
    "phpmd/phpmd": "^2.10",
    "phpstan/phpstan": "^1.8",
    "rector/rector": "0.13.4",
    "squizlabs/php_codesniffer": "^3.6"
  },
  "scripts":{
		"pre-autoload-dump": [
			"@php -r \"file_exists('.env') || copy('.env.local', '.env');\""
		],
		"typo3-cms-scripts": [
			"typo3 install:fixfolderstructure"
		],
		"post-autoload-dump": [
			"@typo3-cms-scripts"
		]
	},
  "extra": {
    "typo3/cms": {
      "web-dir": "public"
    },
    "helhum/typo3-console": {
      "install-extension-dummy": "0"
    }
  }
}
